local love = assert( love )

local canvas = love.graphics.getCanvasFormats( true )
local limits = love.graphics.getSystemLimits()
local feature= love.graphics.getSupported()

--[[for k, v in pairs( canvas ) do print( "canvas:", k, v ) end
for k, v in pairs( limits ) do print( "limits:", k, v ) end
for k, v in pairs( feature) do print( "feature", k, v ) end
io.flush()]]
return canvas